<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

$of_options[] = array( 	"name" 		=> "Header Settings",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Favicon Uoload",
						"desc" 		=> "Upload Favicon using native media uploader from Wordpress",
						"id" 		=> "favicon_upload",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> "",
						"type" 		=> "upload"
				);				
				
$of_options[] = array( 	"name" 		=> "Logo Uoload",
						"desc" 		=> "Upload logo using native media uploader from Wordpress",
						"id" 		=> "logo_upload",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> "",
						"type" 		=> "upload"
				);	
				
$of_options[] = array( 	"name" 		=> "Header Right Text",
						"desc" 		=> "Header Text on the header Right Section",
						"id" 		=> "header_right_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Home Settings",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Box One Image",
						"desc" 		=> "Upload Image using native media uploader from Wordpress",
						"id" 		=> "box_one_image",
						"std" 		=> "",
						"type" 		=> "upload"
				);	
				
$of_options[] = array( 	"name" 		=> "Box One Title",
						"desc" 		=> "Header Text on the header Right Section",
						"id" 		=> "box_one_title",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Box One Area",
						"desc" 		=> "Header Area on the header Right Section",
						"id" 		=> "box_one_area",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				

$of_options[] = array( 	"name" 		=> "Box Two Image",
						"desc" 		=> "Upload Image using native media uploader from Wordpress",
						"id" 		=> "box_two_image",
						"std" 		=> "",
						"type" 		=> "upload"
				);	
				
$of_options[] = array( 	"name" 		=> "Box Two Title",
						"desc" 		=> "Header Text on the header Right Section",
						"id" 		=> "box_two_title",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Box Two Area",
						"desc" 		=> "Header Area on the header Right Section",
						"id" 		=> "box_two_area",
						"std" 		=> "",
						"type" 		=> "textarea"
				);

$of_options[] = array( 	"name" 		=> "Box Three Image",
						"desc" 		=> "Upload Image using native media uploader from Wordpress",
						"id" 		=> "box_three_image",
						"std" 		=> "",
						"type" 		=> "upload"
				);	
				
$of_options[] = array( 	"name" 		=> "Box Three Title",
						"desc" 		=> "Header Text on the header Right Section",
						"id" 		=> "box_three_title",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Box Three Area",
						"desc" 		=> "Header Area on the header Right Section",
						"id" 		=> "box_three_area",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Our Serveice",
						"desc" 		=> "Our Serveice",
						"id" 		=> "our_service",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
$of_options[] = array( 	"name" 		=> "WE PLEDGE TO Image",
						"desc" 		=> "WE PLEDGE Image",
						"id" 		=> "pledge_image",
						"std" 		=> "",
						"type" 		=> "upload"
				);
$of_options[] = array( 	"name" 		=> "WE PLEDGE TO Text",
						"desc" 		=> "WE PLEDGE Text",
						"id" 		=> "pledge_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);

$of_options[] = array( 	"name" 		=> "Cortel Approach Text",
						"desc" 		=> "Cortel Approach Text",
						"id" 		=> "approach_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);

$of_options[] = array( 	"name" 		=> "Cortel Approach First Section Title",
						"desc" 		=> "Cortel Approach First Section Title",
						"id" 		=> "approach_first_title",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Cortel Approach First Section Text",
						"desc" 		=> "Cortel Approach First Section Text",
						"id" 		=> "approach_first_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);	
				
$of_options[] = array( 	"name" 		=> "Cortel Approach Second Section Title",
						"desc" 		=> "Cortel Approach Second Section Title",
						"id" 		=> "approach_second_title",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Cortel Approach Second Section Text",
						"desc" 		=> "Cortel Approach Second Section Text",
						"id" 		=> "approach_second_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);	
				
$of_options[] = array( 	"name" 		=> "Cortel Approach Third Section Title",
						"desc" 		=> "Cortel Approach Third Section Title",
						"id" 		=> "approach_third_title",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Cortel Approach Third Section Text",
						"desc" 		=> "Cortel Approach Third Section Text",
						"id" 		=> "approach_third_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Cortel Approach Fourth Section Title",
						"desc" 		=> "Cortel Approach Fourth Section Title",
						"id" 		=> "approach_fourth_title",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Cortel Approach Fourth Section Text",
						"desc" 		=> "Cortel Approach Fourth Section Text",
						"id" 		=> "approach_fourth_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);														
				
				

																		
				
				
$of_options[] = array( 	"name" 		=> "Social Settings",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Facebook",
						"desc" 		=> "Facebook Link",
						"id" 		=> "facebook_link",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Twitter",
						"desc" 		=> "Twitter Link",
						"id" 		=> "twitter_link",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Google Plus",
						"desc" 		=> "Google+ Link",
						"id" 		=> "google_link",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Instagram",
						"desc" 		=> "Instagram Link",
						"id" 		=> "instagram_link",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Pinterest",
						"desc" 		=> "Pinterest Link",
						"id" 		=> "pinterest_link",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Vimeo",
						"desc" 		=> "Vimeo Link",
						"id" 		=> "vimeo_link",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Youtube",
						"desc" 		=> "Youtube Link",
						"id" 		=> "youtube_link",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Linkedin",
						"desc" 		=> "Linkedin Link",
						"id" 		=> "linkedin_link",
						"std" 		=> "",
						"type" 		=> "text"
				);				
																												
															

$of_options[] = array( 	"name" 		=> "Footer Settings",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Copyright Text",
						"desc" 		=> "Copyright Text",
						"id" 		=> "footer_copyright",
						"std" 		=> "",
						"type" 		=> "textarea"
				);					

				




				

				
// Backup Options
$of_options[] = array( 	"name" 		=> "Backup Options",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
				
$of_options[] = array( 	"name" 		=> "Backup and Restore Options",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
				);
				
$of_options[] = array( 	"name" 		=> "Transfer Theme Options Data",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".',
				);
				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
