<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package _tk
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>
<?php wp_title( '|', true, 'right' ); ?>
</title>
<link rel='shortcut icon' type='image/x-icon' href='<?php echo creative_option('favicon_upload'); ?>' />
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<!--<div class="art-main"></div>-->

<?php do_action( 'before' ); ?>
<header id="masthead" class="site-header Headerbg" role="banner">
  <?php // substitute the class "container-fluid" below if you want a wider content area ?>
  <div class="container">
    <div class="row">
      <div class="site-header-inner col-sm-4">
        <?php $header_image = get_header_image();
				if ( ! empty( $header_image ) ) { ?>
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"> <img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt=""> </a>
        <?php } // end if ( ! empty( $header_image ) ) ?>
        <div class="site-branding">
          
          <div class="Logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"> <img src="<?php echo creative_option('logo_upload'); ?>"/></a> </div>
          
        </div>
      </div>
      <div class="col-sm-8">
        <div class="rgtlogPrt">
        <?php wp_nav_menu( array( 'container' => false, 'theme_location' => 'secondary' ) ); ?>
        
          <!--<ul>
            <li><a href="#">Home</a></li>
            <li><a href="#">Company</a></li>
            <li><a href="#">Clients</a></li>
            <li><a href="#">Contact Us</a></li>
            <li><a href="#">Assessment forms Login</a></li>
          </ul>-->
          <p class="unlTxt"><?php echo creative_option('header_right_text'); ?></p>
        </div>
      </div>
    </div>
  </div>
  <!-- .container --> 
</header>
<!-- #masthead -->

<nav class="site-navigation menubg">
  <?php // substitute the class "container-fluid" below if you want a wider content area ?>
  <div class="container menucon">
    <div class="row">
      <div class="site-navigation-inner col-sm-12">
        <div class="navbar navbar-default menucon">
          <div class="navbar-header"> 
            <!-- .navbar-toggle is used as the toggle for collapsed navbar content -->
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse"> <span class="sr-only">
            <?php _e('Toggle navigation','_tk') ?>
            </span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
            
            <!-- Your site title as branding in the menu -->
            <?php /*?><a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a><?php */?>
          </div>
          
          <!-- The WordPress Menu goes here -->
          <?php wp_nav_menu(
						array(
							'theme_location' 	=> 'primary',
							'depth'             => 2,
							'container'         => 'div',
							'container_class'   => 'collapse navbar-collapse menu',
							'menu_class' 		=> 'nav navbar-nav',
							'fallback_cb' 		=> 'wp_bootstrap_navwalker::fallback',
							'menu_id'			=> 'main-menu',
							'walker' 			=> new wp_bootstrap_navwalker()
						)
					); ?>
        </div>
        <!-- .navbar --> 
      </div>
    </div>
  </div>
  <!-- .container --> 
</nav>
<!-- .site-navigation -->

<div class="main-content">
<?php // substitute the class "container-fluid" below if you want a wider content area ?>
<!--<div class="row">
<div id="content" class="main-content-inner col-sm-12 col-md-8">-->
